<?php
/**
 * File for class ChronopostStructArticleValue
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructArticleValue originally named articleValue
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructArticleValue extends ChronopostWsdlClass
{
    /**
     * The content
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $content;
    /**
     * The contentInLanguage
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $contentInLanguage;
    /**
     * The grossWeight
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var float
     */
    public $grossWeight;
    /**
     * The hscode
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $hscode;
    /**
     * The netWeight
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var float
     */
    public $netWeight;
    /**
     * The origin
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $origin;
    /**
     * The position
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var int
     */
    public $position;
    /**
     * The quantity
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var int
     */
    public $quantity;
    /**
     * The regime
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $regime;
    /**
     * The value
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var float
     */
    public $value;
    /**
     * Constructor method for articleValue
     * @see parent::__construct()
     * @param string $_content
     * @param string $_contentInLanguage
     * @param float $_grossWeight
     * @param string $_hscode
     * @param float $_netWeight
     * @param string $_origin
     * @param int $_position
     * @param int $_quantity
     * @param string $_regime
     * @param float $_value
     * @return ChronopostStructArticleValue
     */
    public function __construct($_content = NULL,$_contentInLanguage = NULL,$_grossWeight = NULL,$_hscode = NULL,$_netWeight = NULL,$_origin = NULL,$_position = NULL,$_quantity = NULL,$_regime = NULL,$_value = NULL)
    {
        parent::__construct(array('content'=>$_content,'contentInLanguage'=>$_contentInLanguage,'grossWeight'=>$_grossWeight,'hscode'=>$_hscode,'netWeight'=>$_netWeight,'origin'=>$_origin,'position'=>$_position,'quantity'=>$_quantity,'regime'=>$_regime,'value'=>$_value),false);
    }
    /**
     * Get content value
     * @return string|null
     */
    public function getContent()
    {
        return $this->content;
    }
    /**
     * Set content value
     * @param string $_content the content
     * @return string
     */
    public function setContent($_content)
    {
        return ($this->content = $_content);
    }
    /**
     * Get contentInLanguage value
     * @return string|null
     */
    public function getContentInLanguage()
    {
        return $this->contentInLanguage;
    }
    /**
     * Set contentInLanguage value
     * @param string $_contentInLanguage the contentInLanguage
     * @return string
     */
    public function setContentInLanguage($_contentInLanguage)
    {
        return ($this->contentInLanguage = $_contentInLanguage);
    }
    /**
     * Get grossWeight value
     * @return float|null
     */
    public function getGrossWeight()
    {
        return $this->grossWeight;
    }
    /**
     * Set grossWeight value
     * @param float $_grossWeight the grossWeight
     * @return float
     */
    public function setGrossWeight($_grossWeight)
    {
        return ($this->grossWeight = $_grossWeight);
    }
    /**
     * Get hscode value
     * @return string|null
     */
    public function getHscode()
    {
        return $this->hscode;
    }
    /**
     * Set hscode value
     * @param string $_hscode the hscode
     * @return string
     */
    public function setHscode($_hscode)
    {
        return ($this->hscode = $_hscode);
    }
    /**
     * Get netWeight value
     * @return float|null
     */
    public function getNetWeight()
    {
        return $this->netWeight;
    }
    /**
     * Set netWeight value
     * @param float $_netWeight the netWeight
     * @return float
     */
    public function setNetWeight($_netWeight)
    {
        return ($this->netWeight = $_netWeight);
    }
    /**
     * Get origin value
     * @return string|null
     */
    public function getOrigin()
    {
        return $this->origin;
    }
    /**
     * Set origin value
     * @param string $_origin the origin
     * @return string
     */
    public function setOrigin($_origin)
    {
        return ($this->origin = $_origin);
    }
    /**
     * Get position value
     * @return int|null
     */
    public function getPosition()
    {
        return $this->position;
    }
    /**
     * Set position value
     * @param int $_position the position
     * @return int
     */
    public function setPosition($_position)
    {
        return ($this->position = $_position);
    }
    /**
     * Get quantity value
     * @return int|null
     */
    public function getQuantity()
    {
        return $this->quantity;
    }
    /**
     * Set quantity value
     * @param int $_quantity the quantity
     * @return int
     */
    public function setQuantity($_quantity)
    {
        return ($this->quantity = $_quantity);
    }
    /**
     * Get regime value
     * @return string|null
     */
    public function getRegime()
    {
        return $this->regime;
    }
    /**
     * Set regime value
     * @param string $_regime the regime
     * @return string
     */
    public function setRegime($_regime)
    {
        return ($this->regime = $_regime);
    }
    /**
     * Get value value
     * @return float|null
     */
    public function getValue()
    {
        return $this->value;
    }
    /**
     * Set value value
     * @param float $_value the value
     * @return float
     */
    public function setValue($_value)
    {
        return ($this->value = $_value);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructArticleValue
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
