<?php
/**
 * File for class ChronopostStructError
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructError originally named error
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructError extends ChronopostWsdlClass
{
    /**
     * The detail
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructDetail
     */
    public $detail;
    /**
     * The errorCode
     * @var int
     */
    public $errorCode;
    /**
     * The errorMessage
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $errorMessage;
    /**
     * Constructor method for error
     * @see parent::__construct()
     * @param ChronopostStructDetail $_detail
     * @param int $_errorCode
     * @param string $_errorMessage
     * @return ChronopostStructError
     */
    public function __construct($_detail = NULL,$_errorCode = NULL,$_errorMessage = NULL)
    {
        parent::__construct(array('detail'=>$_detail,'errorCode'=>$_errorCode,'errorMessage'=>$_errorMessage),false);
    }
    /**
     * Get detail value
     * @return ChronopostStructDetail|null
     */
    public function getDetail()
    {
        return $this->detail;
    }
    /**
     * Set detail value
     * @param ChronopostStructDetail $_detail the detail
     * @return ChronopostStructDetail
     */
    public function setDetail($_detail)
    {
        return ($this->detail = $_detail);
    }
    /**
     * Get errorCode value
     * @return int|null
     */
    public function getErrorCode()
    {
        return $this->errorCode;
    }
    /**
     * Set errorCode value
     * @param int $_errorCode the errorCode
     * @return int
     */
    public function setErrorCode($_errorCode)
    {
        return ($this->errorCode = $_errorCode);
    }
    /**
     * Get errorMessage value
     * @return string|null
     */
    public function getErrorMessage()
    {
        return $this->errorMessage;
    }
    /**
     * Set errorMessage value
     * @param string $_errorMessage the errorMessage
     * @return string
     */
    public function setErrorMessage($_errorMessage)
    {
        return ($this->errorMessage = $_errorMessage);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructError
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
