<?php
/**
 * File for class ChronopostStructShippingInfo
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructShippingInfo originally named shippingInfo
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructShippingInfo extends ChronopostWsdlClass
{
    /**
     * The asCode
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $asCode;
    /**
     * The codeService
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codeService;
    /**
     * The destinationDepot
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $destinationDepot;
    /**
     * The groupingPriorityLabel
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $groupingPriorityLabel;
    /**
     * The serviceMark
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $serviceMark;
    /**
     * The serviceName
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $serviceName;
    /**
     * The signaletiqueProduit
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $signaletiqueProduit;
    /**
     * The dSort
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $dSort;
    /**
     * The oSort
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $oSort;
    /**
     * Constructor method for shippingInfo
     * @see parent::__construct()
     * @param string $_asCode
     * @param string $_codeService
     * @param string $_destinationDepot
     * @param string $_groupingPriorityLabel
     * @param string $_serviceMark
     * @param string $_serviceName
     * @param string $_signaletiqueProduit
     * @param string $_dSort
     * @param string $_oSort
     * @return ChronopostStructShippingInfo
     */
    public function __construct($_asCode = NULL,$_codeService = NULL,$_destinationDepot = NULL,$_groupingPriorityLabel = NULL,$_serviceMark = NULL,$_serviceName = NULL,$_signaletiqueProduit = NULL,$_dSort = NULL,$_oSort = NULL)
    {
        parent::__construct(array('asCode'=>$_asCode,'codeService'=>$_codeService,'destinationDepot'=>$_destinationDepot,'groupingPriorityLabel'=>$_groupingPriorityLabel,'serviceMark'=>$_serviceMark,'serviceName'=>$_serviceName,'signaletiqueProduit'=>$_signaletiqueProduit,'dSort'=>$_dSort,'oSort'=>$_oSort),false);
    }
    /**
     * Get asCode value
     * @return string|null
     */
    public function getAsCode()
    {
        return $this->asCode;
    }
    /**
     * Set asCode value
     * @param string $_asCode the asCode
     * @return string
     */
    public function setAsCode($_asCode)
    {
        return ($this->asCode = $_asCode);
    }
    /**
     * Get codeService value
     * @return string|null
     */
    public function getCodeService()
    {
        return $this->codeService;
    }
    /**
     * Set codeService value
     * @param string $_codeService the codeService
     * @return string
     */
    public function setCodeService($_codeService)
    {
        return ($this->codeService = $_codeService);
    }
    /**
     * Get destinationDepot value
     * @return string|null
     */
    public function getDestinationDepot()
    {
        return $this->destinationDepot;
    }
    /**
     * Set destinationDepot value
     * @param string $_destinationDepot the destinationDepot
     * @return string
     */
    public function setDestinationDepot($_destinationDepot)
    {
        return ($this->destinationDepot = $_destinationDepot);
    }
    /**
     * Get groupingPriorityLabel value
     * @return string|null
     */
    public function getGroupingPriorityLabel()
    {
        return $this->groupingPriorityLabel;
    }
    /**
     * Set groupingPriorityLabel value
     * @param string $_groupingPriorityLabel the groupingPriorityLabel
     * @return string
     */
    public function setGroupingPriorityLabel($_groupingPriorityLabel)
    {
        return ($this->groupingPriorityLabel = $_groupingPriorityLabel);
    }
    /**
     * Get serviceMark value
     * @return string|null
     */
    public function getServiceMark()
    {
        return $this->serviceMark;
    }
    /**
     * Set serviceMark value
     * @param string $_serviceMark the serviceMark
     * @return string
     */
    public function setServiceMark($_serviceMark)
    {
        return ($this->serviceMark = $_serviceMark);
    }
    /**
     * Get serviceName value
     * @return string|null
     */
    public function getServiceName()
    {
        return $this->serviceName;
    }
    /**
     * Set serviceName value
     * @param string $_serviceName the serviceName
     * @return string
     */
    public function setServiceName($_serviceName)
    {
        return ($this->serviceName = $_serviceName);
    }
    /**
     * Get signaletiqueProduit value
     * @return string|null
     */
    public function getSignaletiqueProduit()
    {
        return $this->signaletiqueProduit;
    }
    /**
     * Set signaletiqueProduit value
     * @param string $_signaletiqueProduit the signaletiqueProduit
     * @return string
     */
    public function setSignaletiqueProduit($_signaletiqueProduit)
    {
        return ($this->signaletiqueProduit = $_signaletiqueProduit);
    }
    /**
     * Get dSort value
     * @return string|null
     */
    public function getDSort()
    {
        return $this->dSort;
    }
    /**
     * Set dSort value
     * @param string $_dSort the dSort
     * @return string
     */
    public function setDSort($_dSort)
    {
        return ($this->dSort = $_dSort);
    }
    /**
     * Get oSort value
     * @return string|null
     */
    public function getOSort()
    {
        return $this->oSort;
    }
    /**
     * Set oSort value
     * @param string $_oSort the oSort
     * @return string
     */
    public function setOSort($_oSort)
    {
        return ($this->oSort = $_oSort);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructShippingInfo
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
